Model Set: Views
GET
containers/:containerId/modelsets/:modelSetId/views/:viewId/jobs/:jobId
Retrieves information about a given model set view job.
Many PATCH, POST and DELETE calls to model set views endpoints will result in a job. You can use this endpoint to track the progress of these jobs.
Note that this endpoint is compatible with both BIM 360 and Forma projects.
Resource Information
| Method and URI | GET https://developer.api.autodesk.com/bim360/modelset/v3/containers/:containerId/modelsets/:modelSetId/views/:viewId/jobs/:jobId |
| Authentication Context | user context required |
| Required OAuth Scopes | data:read |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is obtained via a three-legged OAuth flow. |
| region string | The region to which your request should be routed. If not set, the request is routed automatically but may incur a small latency increase.
For the full list of supported regions, see the Regions page. The API continues to support |
* Required
Request
URI Parameters
| containerId string: UUID | The GUID that uniquely identifies the container. |
| modelSetId string: UUID | The GUID that uniquely identifies the model set. |
| viewId string: UUID | The GUID that uniquely identifies the view. |
| jobId string: UUID | The GUID that uniquely identifies the job. |
Response
HTTP Status Code Summary
| 200 OK | Success |
| 400 Bad Request | The parameters of the requested operation are invalid. |
| 401 Unauthorized | The provided bearer token is not valid. |
| 403 Forbidden | The user or service represented by the bearer token does not have permission to perform this operation. |
| 404 Not Found | The requested resource could not be found. |
| 429 Too Many Requests | Rate limit exceeded. Wait some time before retrying. The Retry-After header might provide the amount of the time to wait. |
| 500 Internal Server Error | An unknown error occurred on the server. |
Response
Body Structure (200)
Expand all
| jobId string: UUID | The GUID that uniquely identifies the job. |
| viewId string: UUID | The GUID that uniquely identifies the view associated with the job. |
| published object | If this view is published, the data concerning the publish destination. |
| name string | The name of the seed file representing the published view.
Min length: |
| time datetime: ISO 8601 | The time of the last publish operation. |
| folderUrn string | The URN of the folder in which the published view resides. |
| versionUrn string | The URN of the seed file representing the published view. |
| status enum: string | The current job status.
Possible values: |
| job object | A job. |
| operation string | The operation associated with the job. |
| seed object | The JSON payload which seeded the job. |
Response
Body Structure (400)
Expand all
| type string | The error code. |
| title string | A short title for the error. |
| detail string | A more detailed, human readable description of the error, assuming that this message is not localized and is therefore EN-US. UI consumers can use the error.type value to provide a localized version of this error for presentation. |
| errors array: object | A set of specific validation errors that need to be fixed. |
| field string | The field which failed validation. |
| title string | A short title for the error. |
| detail string | A more detailed, human readable description of the error, assuming that this message is not localized and is therefore EN-US. UI consumers can use the error.type value to provide a localized version of this error for presentation. |
| type string | The error code. |
Example
Request
curl -v 'https://developer.api.autodesk.com/bim360/modelset/v3/containers/f0f4f36a-ac64-687f-b132-8efe04b22454/modelsets/00fb28a5-e8a4-2755-562a-7c2f0fc87911/views/7ed27144-ac06-4b72-5dd6-76bee05854be/jobs/49244371-ee08-9afa-01f8-26fcd8ecb03d' \
-H 'Authorization: Bearer <token>'
Response (200)
{
"jobId": "49244371-ee08-9afa-01f8-26fcd8ecb03d",
"viewId": "7ed27144-ac06-4b72-5dd6-76bee05854be",
"status": "Succeeded",
"job": {
"operation": "OperationName",
"seed": {}
}
}
Show More
Response (400)
{
"type": "BadInput",
"title": "One or more input values in the request were bad",
"detail": "The following parameters are invalid: containerId",
"errors": [
{
"field": "containerId",
"title": "Invalid parameter",
"detail": "The value 'testing' is not valid.",
"type": "BadInput"
}
]
}
Show More